SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000665: openvpn: pushing only 1 dns don't override the secondary dns - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000665Endian FirewallNetwork related (VPN, uplinks)public2008-04-08 07:542008-04-23 17:41
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta3 
Target Version2.2-rc1Fixed in Version2.2-beta4 
Summary0000665: openvpn: pushing only 1 dns don't override the secondary dns
DescriptionEspecially with windows, if openvpn pushes only 1 DNS, the 2nd will not be overriden. So the second DNS of the old configuration will also be taken in consideration, instead of using only the pushed DNS.

Solution: Push the same DNS twice, if there is only 1 DNS configured to be pushed.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000975)
peter-endian (administrator)
2008-04-08 07:55

Does this really happen?
(0001014)
peter-endian (administrator)
2008-04-21 22:00

check with windows!!!

- Issue History
Date Modified Username Field Change
2008-04-08 07:54 peter-endian New Issue
2008-04-08 07:54 peter-endian Status new => assigned
2008-04-08 07:54 peter-endian Assigned To => peter-endian
2008-04-08 07:55 peter-endian Note Added: 0000975
2008-04-08 07:55 peter-endian Status assigned => feedback
2008-04-21 22:00 peter-endian Status feedback => resolved
2008-04-21 22:00 peter-endian Fixed in Version => 2.2-beta4
2008-04-21 22:00 peter-endian Resolution open => fixed
2008-04-21 22:00 peter-endian Note Added: 0001014
2008-04-23 17:41 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker